id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
utils.cpp File Reference
`#include <ctype.h>`
`#include "id3/utils.h"`

Go to the source code of this file.

## Macros
#define | NOCREATE ((std::ios_base::openmode)0)
#define | ID3_IS_ASCII(enc) ((enc) == ID3TE_ASCII || (enc) == ID3TE_ISO8859_1 || (enc) == ID3TE_UTF8)
#define | ID3_IS_UNICODE(enc) ((enc) == ID3TE_UNICODE || (enc) == ID3TE_UTF16 || (enc) == ID3TE_UTF16BE)

## Functions
dami::String | mbstoucs (dami::String data)
dami::String | ucstombs (dami::String data)
dami::String | oldconvert (dami::String data, ID3_TextEnc sourceEnc, ID3_TextEnc targetEnc)

## Macro Definition Documentation

#define ID3_IS_ASCII | ( |  | enc | ) | ((enc) == ID3TE_ASCII || (enc) == ID3TE_ISO8859_1 || (enc) == ID3TE_UTF8)

#define ID3_IS_UNICODE | ( |  | enc | ) | ((enc) == ID3TE_UNICODE || (enc) == ID3TE_UTF16 || (enc) == ID3TE_UTF16BE)

#define NOCREATE ((std::ios_base::openmode)0)

Definition at line 35 of file utils.cpp.

## Function Documentation

dami::String mbstoucs | ( | dami::String | data | ) |

Definition at line 51 of file utils.cpp.

dami::String oldconvert | ( | dami::String | data,
|  | ID3_TextEnc | sourceEnc,
|  | ID3_TextEnc | targetEnc
| ) |  |

Definition at line 74 of file utils.cpp.

dami::String ucstombs | ( | dami::String | data | ) |

Definition at line 63 of file utils.cpp.